Skip to main content
PATCH
/
orgs
/
{org_id}
/
projects
/
{project_id}
cURL
curl --request PATCH \
  --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "banner_url": "<string>",
  "default_role": "<string>",
  "description": "<string>",
  "is_public_template": true,
  "name": "<string>",
  "use_platform_iam": true
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
project_id
string
required

Body

application/json
banner_url
string | null
default_role
string | null
description
string | null
is_public_template
boolean | null
name
string | null
use_platform_iam
boolean | null

Response

204

Project updated successfully